> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepinfra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Model Family



## OpenAPI

````yaml https://api.deepinfra.com/openapi.json get /model-families/{family_name}
openapi: 3.1.0
info:
  title: DeepInfra API
  description: >-
    The DeepInfra API provides serverless AI inference, custom model
    deployments, and GPU rentals.
  version: 1.0.0
servers:
  - url: https://api.deepinfra.com
security: []
tags:
  - name: Chat Completions
    description: OpenAI and Anthropic-compatible chat completion endpoints for LLMs.
  - name: Text Completions
    description: OpenAI-compatible text completion endpoints.
  - name: Embeddings
    description: Generate text embeddings for search and RAG.
  - name: Image Generation
    description: Generate, edit, and create variations of images.
  - name: Audio
    description: OpenAI-compatible speech synthesis, transcription, and translation.
  - name: Text to Speech
    description: ElevenLabs-compatible TTS endpoints and voice management.
  - name: Inference
    description: Native DeepInfra inference API for models and deployments.
  - name: Dedicated Models
    description: Deploy and manage private model instances with autoscaling.
  - name: GPU Rentals
    description: Rent dedicated GPU containers.
  - name: Models
    description: Browse, search, and manage AI models.
  - name: Files & Batches
    description: File uploads and batch processing.
  - name: LoRA Adapters
    description: Create, manage, and query LoRA adapter models.
  - name: Agents
    description: Manage agent-framework instances (OpenClaw and friends).
  - name: Sandboxes
    description: Create and manage isolated sandbox environments.
  - name: Account
    description: User profile, team management, and rate limits.
  - name: Authentication
    description: API tokens, SSH keys, scoped JWTs, and login flows.
  - name: Billing
    description: Payment methods, usage tracking, and billing.
  - name: Logs & Metrics
    description: Query inference logs, deployment logs, and usage metrics.
  - name: Utilities
    description: Feedback submission and CLI version.
paths:
  /model-families/{family_name}:
    get:
      tags:
        - Models
      summary: Model Family
      operationId: model_family_model_families__family_name__get
      parameters:
        - name: family_name
          in: path
          required: true
          schema:
            type: string
            title: Family Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelFamilyOut'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeepError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ModelFamilyOut:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
          description: Model family name
        title:
          type: string
          title: Title
          description: Model family title
        description:
          type: string
          title: Description
          description: Model family description
        developer:
          type: string
          title: Developer
          description: Model family developer organization
        meta_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Meta Title
          description: Meta title for SEO
        meta_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Meta Description
          description: Meta description for SEO
        featured_models:
          items:
            type: string
          type: array
          title: Featured Models
        pp_sections_out:
          items:
            $ref: '#/components/schemas/PricingPageSectionOut'
          type: array
          title: Pp Sections Out
        faq_entries:
          items:
            $ref: '#/components/schemas/FAQEntryOut'
          type: array
          title: Faq Entries
          description: >-
            List of FAQ entries for this model family, ordered by their order
            field
      type: object
      required:
        - name
        - title
        - description
        - developer
        - featured_models
        - pp_sections_out
      title: ModelFamilyOut
    DeepError:
      properties:
        error:
          type: string
          title: Error
          description: Error
          examples:
            - Model not found
      type: object
      required:
        - error
      title: DeepError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PricingPageSectionOut:
      properties:
        section_id:
          type: string
          title: Section Id
        ptype:
          $ref: '#/components/schemas/PricingType'
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        mf_description:
          type: string
          title: Mf Description
          description: >-
            Model family description for this section, if applicable. Will use
            description from the section if not set
          default: ''
        entries:
          items:
            $ref: '#/components/schemas/PricingPageEntryOut'
          type: array
          title: Entries
      type: object
      required:
        - section_id
        - ptype
        - title
        - description
        - entries
      title: PricingPageSectionOut
    FAQEntryOut:
      properties:
        faq_id:
          type: string
          title: Faq Id
          description: FAQ entry ID, usually the question
        question:
          type: string
          title: Question
          description: FAQ question
        answer:
          type: string
          title: Answer
          description: FAQ answer in markdown format
        order:
          type: integer
          title: Order
          description: order of the FAQ entry in the list, lower numbers come first
          default: 0
      type: object
      required:
        - faq_id
        - question
        - answer
      title: FAQEntryOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PricingType:
      type: string
      enum:
        - tokens
        - time
        - uptime
        - input_length
        - input_tokens
        - input_character_length
        - image_units
        - output_length
        - frame_units
      title: PricingType
    PricingPageEntryOut:
      properties:
        model_name:
          type: string
          title: Model Name
        short_name:
          type: string
          title: Short Name
        max_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Tokens
          description: The maximum context size of this model, if applicable
        pricing:
          anyOf:
            - $ref: '#/components/schemas/ModelPricingTime'
            - $ref: '#/components/schemas/ModelPricingTokens'
            - $ref: '#/components/schemas/ModelPricingInputLength'
            - $ref: '#/components/schemas/ModelPricingInputTokens'
            - $ref: '#/components/schemas/ModelPricingUptime'
            - $ref: '#/components/schemas/ModelPricingInputCharacterLength'
            - $ref: '#/components/schemas/ModelPricingImageUnits'
            - $ref: '#/components/schemas/ModelPricingOutputLength'
            - $ref: '#/components/schemas/ModelPricingFrameUnits'
          title: Pricing
      type: object
      required:
        - model_name
        - short_name
        - pricing
      title: PricingPageEntryOut
    ModelPricingTime:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: time
        cents_per_sec:
          type: number
          title: Cents Per Sec
      type: object
      required:
        - cents_per_sec
      title: ModelPricingTime
    ModelPricingTokens:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: tokens
        cents_per_input_token:
          type: number
          title: Cents Per Input Token
        cents_per_output_token:
          type: number
          title: Cents Per Output Token
        rate_per_input_token_cached:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate Per Input Token Cached
        rate_per_input_token_cache_write:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate Per Input Token Cache Write
        rate_per_service_tier_priority:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate Per Service Tier Priority
        rate_per_service_tier_flex:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate Per Service Tier Flex
      type: object
      required:
        - cents_per_input_token
        - cents_per_output_token
      title: ModelPricingTokens
    ModelPricingInputLength:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: input_length
        cents_per_input_sec:
          type: number
          title: Cents Per Input Sec
      type: object
      required:
        - cents_per_input_sec
      title: ModelPricingInputLength
    ModelPricingInputTokens:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: input_tokens
        cents_per_input_token:
          type: number
          title: Cents Per Input Token
      type: object
      required:
        - cents_per_input_token
      title: ModelPricingInputTokens
    ModelPricingUptime:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: uptime
        cents_per_sec:
          type: number
          title: Cents Per Sec
      type: object
      required:
        - cents_per_sec
      title: ModelPricingUptime
    ModelPricingInputCharacterLength:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: input_character_length
        cents_per_input_chars:
          type: number
          title: Cents Per Input Chars
      type: object
      required:
        - cents_per_input_chars
      title: ModelPricingInputCharacterLength
    ModelPricingImageUnits:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: image_units
        cents_per_image_unit:
          type: number
          title: Cents Per Image Unit
        default_width:
          type: integer
          title: Default Width
        default_height:
          type: integer
          title: Default Height
        default_iterations:
          type: integer
          title: Default Iterations
        default_price_cents:
          anyOf:
            - type: number
            - type: 'null'
          title: Default Price Cents
        usage_from_cost:
          type: boolean
          title: Usage From Cost
      type: object
      required:
        - cents_per_image_unit
        - default_width
        - default_height
        - default_iterations
        - usage_from_cost
      title: ModelPricingImageUnits
    ModelPricingOutputLength:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: output_length
        cents_per_output_sec:
          type: number
          title: Cents Per Output Sec
      type: object
      required:
        - cents_per_output_sec
      title: ModelPricingOutputLength
    ModelPricingFrameUnits:
      properties:
        short:
          anyOf:
            - type: string
            - type: 'null'
          title: Short
          description: Short description of the pricing, ideal for cards and headers
          examples:
            - $0.15 / second
        full:
          anyOf:
            - type: string
            - type: 'null'
          title: Full
          description: Full description of the pricing, perfect for details
          examples:
            - $0.15 / second for 1080P, $0.10 / second for 720P
        table:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Table
          description: Could be used to generate pricing tables
          examples:
            - columns:
                - resolution
                - $ cost per second
              rows:
                - - 780P
                  - $0.10
                - - 1080P
                  - $0.15
        type:
          type: string
          title: Type
          default: frame_units
        cents_per_frame_unit:
          type: number
          title: Cents Per Frame Unit
      type: object
      required:
        - cents_per_frame_unit
      title: ModelPricingFrameUnits

````